Distribution:   CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		kdepimlibs
Version:	4.5.4
Release:	1
License:	GNU/GPL, LGPL
URL:		http://www.kde.org
Group:		Graphical Desktop/KDE4
Source0:	kdepimlibs-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	K Desktop Environment 4 - PIM Libraries
Requires:	kdelibs4 >= %{version} akonadi
BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	boost-devel
BuildRequires:	kdelibs4-devel >= %{version}
BuildRequires: 	libXpm-devel libXtst-devel
BuildRequires:	automoc4
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
# Require for rpm lzma compression
Requires:       rpm >= 4.4.2.3-1

Obsoletes: 	kdepimlibs4 < %{version}-%{release}
Provides:  	kdepimlibs4 = %{version}-%{release}

BuildRequires: phonon-devel

BuildRequires: soprano-devel
BuildRequires: shared-desktop-ontologies

BuildRequires: libassuan-devel
BuildRequires: pth-devel

BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel

#Automatically resolved build dependencies
BuildRequires: akonadi-devel
BuildRequires: cyrus-sasl-devel
BuildRequires: glibc-devel
BuildRequires: gpgme-devel
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: libgcc
BuildRequires: libgpg-error-devel
BuildRequires: libical-devel
BuildRequires: libstdc++-devel
BuildRequires: openldap-devel
BuildRequires: perl
BuildRequires: qt4-devel

%description
Personal Information Management (PIM) libraries for the
K Desktop Environment 4.

%package devel
Group:    	Development/Libraries
Summary:  	Header files for kdepimlibs4
Requires: 	%{name} = %{version}-%{release}
Requires: 	kdelibs-devel
Obsoletes: 	kdepimlibs4-devel < %{version}-%{release}
Provides:  	kdepimlibs4-devel = %{version}-%{release}


%description devel
Header files for developing applications using %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}

# move devel symlinks
mkdir -p %{buildroot}%{_kde4_libdir}/kde4/devel
pushd %{buildroot}%{_kde4_libdir}
for i in lib*.so
do
  case "$i" in
    libkdeinit4_*.so)
      ;;
    *)
      linktarget=`readlink "$i"`
      rm -f "$i"
      ln -sf "../../$linktarget" "kde4/devel/$i"
      ;;
  esac
done
popd

%files
%defattr(-,root,root,-)
%{_kde4_appsdir}/akonadi-kde/
%{_kde4_appsdir}/kabc/
%{_kde4_appsdir}/kconf_update/*
%{_kde4_appsdir}/libkholidays/
%{_kde4_datadir}/config.kcfg/*
%{_datadir}/dbus-1/interfaces/*
%{_kde4_datadir}/kde4/services/*
%{_kde4_datadir}/doc/
%{_kde4_datadir}/kde4/servicetypes/*
%{_kde4_datadir}/mime/packages/kdepimlibs-mime.xml
%{_kde4_libdir}/lib*.so.*
%{_kde4_libdir}/kde4/*
%{_kde4_libdir}/gpgmepp/
%{_kde4_datadir}/kde4/apps/akonadi/contact/data/zone.tab
%{_kde4_datadir}/kde4/apps/akonadi/contact/pics/world.jpg
%{_kde4_datadir}/kde4/apps/akonadi/contact/icons/oxygen/16x16/apps/aim_protocol.png
%{_kde4_datadir}/kde4/apps/akonadi/contact/icons/oxygen/16x16/apps/gadu_protocol.png
%{_kde4_datadir}/kde4/apps/akonadi/contact/icons/oxygen/16x16/apps/groupwise_protocol.png
%{_kde4_datadir}/kde4/apps/akonadi/contact/icons/oxygen/16x16/apps/icq_protocol.png
%{_kde4_datadir}/kde4/apps/akonadi/contact/icons/oxygen/16x16/apps/irc_protocol.png
%{_kde4_datadir}/kde4/apps/akonadi/contact/icons/oxygen/16x16/apps/jabber_protocol.png
%{_kde4_datadir}/kde4/apps/akonadi/contact/icons/oxygen/16x16/apps/meanwhile_protocol.png
%{_kde4_datadir}/kde4/apps/akonadi/contact/icons/oxygen/16x16/apps/msn_protocol.png
%{_kde4_datadir}/kde4/apps/akonadi/contact/icons/oxygen/16x16/apps/skype_protocol.png
%{_kde4_datadir}/kde4/apps/akonadi/contact/icons/oxygen/16x16/apps/sms_protocol.png
%{_kde4_datadir}/kde4/apps/akonadi/contact/icons/oxygen/16x16/apps/yahoo_protocol.png

%files devel
%defattr(-,root,root,-)
%{_kde4_appsdir}/cmake/*
%{_kde4_includedir}/*
%{_kde4_libdir}/kde4/devel/lib*.so
%{_kde4_libdir}/cmake/KdepimLibs/*.cmake


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Dec 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.4-1
- Version Update
* Thu Nov 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.3-1
- Version Update
* Wed Oct 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.2-1
- Version Update
* Wed Sep 01 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.1-1
- Version Update
* Tue Aug 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.0-1
- Version Update
* Wed Jul 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.95-1
- Version Update
* Sun Jul 18 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.92-2
- rebuilt
* Thu Jul 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.92-1
- Version Update - experimental package branch - rc2
* Tue Jun 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.90-1
- Version Update - experimental package branch - rc1
* Wed Jun 02 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.4-1
- Version Update
* Thu May 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.3-1
- Version Update
* Wed Mar 31 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.2-1
- Version Update
* Thu Mar 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.1-1
- Version Update
* Wed Feb 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.0-1
- Version Update
* Wed Dec 02 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.4-1
- Version Update
* Wed Nov 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.3-1
- Version Update
* Wed Oct 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.2-1
- Version Update
* Thu Sep 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.1-1
- Version Update
* Sat Aug 08 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.0-1
- Version update
* Thu Jun 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.4-1
- Version update
* Fri May 08 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.3-1
- Version update
* Fri Apr 03 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.2-1
- Version update
* Fri Mar 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.1-1
- Version update
* Fri Jan 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.0-1
- Version update
* Sat Jan 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.1.96-1
- version update
* Wed Jan 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.1.87-1
- version update
* Sat Dec 13 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.85-1
- version update
* Fri Nov 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.80-1
- version update
* Wed Nov 05 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.3-1
- version update
* Fri Oct 03 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.2-1
- version update
* Mon Sep 29 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.1-2
- rebuilt against Xorg 7.4
* Wed Sep 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.1-1
- Version update
* Sun Aug 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.0-4
- rebuilt against akonadi 1.0.0
* Thu Jul 31 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-3
- renamed package
* Tue Jul 29 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-2
- move devel symlink for parallel kde 3 install
* Sat Jul 26 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-1
- Version update
* Thu Jul 24 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.99-1
- Version update
* Sun Jul 13 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.98-1
- Version update 4.1 RC 1
* Wed Jul 02 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.84-1
- Version update
* Fri Jun 27 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.83-1
- Version update 4.1 Beta 2
* Mon Jun 16 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.80-4
- rebuild against qt4-4.4.0-6
* Fri Jun 13 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.80-3
- rebuild against gcc-4.3.1-1
* Wed Jun 11 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.80-2
- rebuild against qt4-4.4.0-5
* Tue May 27 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.80-1
- Version update
* Tue May 27 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.74-1
- Version update
* Mon May 26 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.72-1
- Version update ( 4.1 alpha 1 )
* Mon Apr 07 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.3-1
- Version update
* Mon Mar 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.2-1
- Version update
* Fri Feb 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.0.1-2
- move KDEHOMEDIR to ~/.kde4
* Wed Feb 06 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.1-1
- Version update
* Fri Jan 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.0.0-1
- Version update
* Wed Dec 12 2007 Christian Metzen <metzench@ccux-linux.de> 3.97.0-1
- Version update to RC2
* Tue Dec 04 2007 Christian Metzen <metzench@ccux-linux.de> 3.96.2-3
- rebuild, moved prefix to /usr
* Tue Dec 04 2007 Christian Metzen <metzench@ccux-linux.de> 3.96.2-2
- rebuild with new macros file
* Mon Dec 03 2007 Christian Metzen <metzench@ccux-linux.de> 3.96.2-1
- Version update to latest rc
* Sun Nov 11 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.95.2-1
- Version update - svn735467
* Wed Sep 19 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.93-2
- Version update - svn714482
* Fri Sep 14 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.93-1
- Version update to beta 2 - svn712473
* Wed Aug 15 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.92-1
- Version update to beta 1 - svn700367
* Thu Jun 26 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.90.1-2
- Version update - svn680412
* Thu Jun 7 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.90.1-1
- Initial Release - svn673160
